package rpcs

import (
	"sparrow/pkg/protocol"
)

type ArgsSetStatus struct {
	DeviceId string
	Status   []protocol.SubData
}
type ReplySetStatus ReplyEmptyResult

type ArgsGetStatus struct {
	Id          string
	VendorId    string
	SubDeviceId string
}
type ReplyGetStatus struct {
	Status []protocol.SubData
}

type ArgsSendCommand struct {
	DeviceId  string
	SubDevice string
	Cmd       string
	WaitTime  uint32
	Params    map[string]interface{}
}
type ReplySendCommand ReplyEmptyResult

type ArgsDeviceUpgrade struct {
	DeviceId    string
	SudDeviceId string
	Url         string
	Md5         string
	Version     string
	FileSize    int64
}

type ArgsSendByteData struct {
	DeviceId  string
	SubDevice string
	Cmd       string
	WaitTime  uint32
	Data      []byte
	Params    map[string]interface{}
}

type ArgsUpgrade4G struct {
	DeviceId string
	FileId   string
	FileSize int64
}

type ChunkUpgrade struct {
	DeviceId string
	FileId   int
	FileSize int64
	Size     int64
	Offset   int
}

type ReplyStatus struct {
	Status string
}

type ReplayInfo struct {
	Info string
}
